FilesystemIterator
FilesystemIterator::current
FilesystemIterator
PHP Manual

# FilesystemIterator::__construct

(PHP 5 >= 5.3.0)

FilesystemIterator::__construct — Constructs a new filesystem iterator

### Description

FilesystemIterator::__construct ( string `$path` [, int `$flags` = FilesystemIterator::KEY_AS_PATHNAME | FilesystemIterator::CURRENT_AS_FILEINFO | FilesystemIterator::SKIP_DOTS ] )

Constructs a new filesystem iterator from the `path` .

### Parameters

`path`

  The path of the filesystem item to be iterated over.

`flags`

  Flags may be provided which will affect the behavior of some methods. A list of the flags can found under FilesystemIterator predefined constants. They can also be set later with FilesystemIterator::setFlags

### Return Values

No value is returned.

### Errors/Exceptions

Throws an UnexpectedValueException if the `path` cannot be found.

### Examples

Example #1 FilesystemIterator::__construct() example

`<?php
$it = new FilesystemIterator(dirname(__FILE__));
foreach ($it as $fileinfo) {
echo $fileinfo->getFilename() . "\n";
}
?>`

The above example will output:

    apples.jpg
    banana.jpg
    example.php

### See Also

- FilesystemIterator::setFlags - Sets handling flags
- DirectoryIterator::__construct - Constructs a new directory iterator from a path

FilesystemIterator
FilesystemIterator::current
FilesystemIterator
PHP Manual